I'm looking for a part-time remote job.

Hire me


I'm the author of:

Mastering Redmine is a comprehensive guide with tips, tricks and best practices, and an easy-to-learn structure.

Check the book's project or

Buy the book

Social pages of the book:

By buying this book you also donate to Redmine (see this page).


Follow me:

extended fields plugin is avaiable on RAILS_ENV=development ?

Added by Tadashi Kaneda almost 9 years ago

Hi all,

I am trying to install extended_fields plugin on redmine 2.1.3.
Before installing to master environments , I tried to install test environment which has RAILS_ENV=development.
But DB migration rake script was aborted.

rake aborted!
unitialized constant ExtendedFieldsHelper
......plugins/extended-fields/init.rb:36in `_callback_before_1381'
......config/environment.rb:14
Tasks: TOP => redmine:plugins:migrate => environment
(See full trace by running task with --trace)

Do you have any ways to succeed to install it ?
or would you like to have any advice?

thanks.
regards.


Replies (1)

RE: extended fields plugin is avaiable on RAILS_ENV=development ? - Added by Andriy Lesyuk almost 9 years ago

Hi, Tadashi Kaneda!

Try moving extended_fields_helper.rb from app/helpers to lib:

extended_fields$ mv app/helpers/extended_fields_helper.rb lib/

Thanks.
Andriy

    (1-1/1)

    Terms of use | Privacy policy